searchData={"items":[{"type":"module","doc":"Lume is a simple, modern UI component library for Phoenix LiveView.","title":"Lume","ref":"Lume.html"},{"type":"module","doc":"A simple avatar component that displays either an image or fallback initials.","title":"Lume.Components.Avatar","ref":"Lume.Components.Avatar.html"},{"type":"module","doc":"* Supports image avatars with fallback to initials\n  * Multiple sizes (small, medium, large)\n  * Shape variants (circle or rounded square)\n  * Optional status indicator dot\n  * Dark mode support\n  * Automatic error handling for failed image loads\n  * Customizable fallback colors","title":"Features - Lume.Components.Avatar","ref":"Lume.Components.Avatar.html#module-features"},{"type":"module","doc":"<.avatar\n      alt=\"John Doe\"\n      fallback=\"JD\"\n      size={:md}\n      image_url=\"path/to/image.jpg\"\n    />\n\n    # With status indicator\n    <.avatar\n      alt=\"Alan B\"\n      fallback=\"AB\"\n      show_dot\n      dot_variant={:success}\n    />\n\n    # Custom fallback colors\n    <.avatar\n      alt=\"User\"\n      fallback=\"U\"\n      fallback_class=\"bg-indigo-100 text-indigo-600\"\n    />\n\n    # Square variant with custom size\n    <.avatar\n      alt=\"User\"\n      fallback=\"U\"\n      shape={:square}\n      class=\"h-16 w-16\"\n    />","title":"Examples - Lume.Components.Avatar","ref":"Lume.Components.Avatar.html#module-examples"},{"type":"function","doc":"Renders an avatar component.","title":"Lume.Components.Avatar.avatar/1","ref":"Lume.Components.Avatar.html#avatar/1"},{"type":"function","doc":"* `image_url` - Optional URL to the avatar image\n  * `alt` - Required alt text for the avatar\n  * `fallback` - Required text to display when image is missing or loading fails\n  * `fallback_class` - Custom classes for fallback background and text colors\n  * `size` - Size variant (`:sm`, `:md`, `:lg`), defaults to `:md`\n  * `shape` - Shape variant (`:circle`, `:square`), defaults to `:circle`\n  * `show_dot` - Whether to show a status dot indicator\n  * `dot_variant` - Status dot color variant, defaults to `:success`\n  * `class` - Additional CSS classes to apply to the avatar","title":"Attributes - Lume.Components.Avatar.avatar/1","ref":"Lume.Components.Avatar.html#avatar/1-attributes"},{"type":"function","doc":"* `image_url` (`:string`) - Defaults to `nil`.\n* `alt` (`:string`) (required)\n* `fallback` (`:string`) (required)\n* `fallback_class` (`:string`) - Defaults to `\"bg-gray-200 text-gray-900\"`.\n* `size` (`:atom`) - Defaults to `:md`.\n* `shape` (`:atom`) - Defaults to `:circle`.\n* `show_dot` (`:boolean`) - Defaults to `false`.\n* `dot_variant` (`:atom`) - Defaults to `:success`.\n* `class` (`:string`) - Defaults to `nil`.","title":"Attributes - Lume.Components.Avatar.avatar/1","ref":"Lume.Components.Avatar.html#avatar/1-attributes"},{"type":"module","doc":"A simple badge component for status indicators, labels, and counts.","title":"Lume.Components.Badge","ref":"Lume.Components.Badge.html"},{"type":"module","doc":"* Multiple color variants (default, primary, success, warning, error)\n  * Three sizes (small, medium, large)\n  * Shape options (pill or flat)\n  * Optional border styling\n  * Optional leading dot indicator\n  * Optional icon\n  * Dark mode support","title":"Features - Lume.Components.Badge","ref":"Lume.Components.Badge.html#module-features"},{"type":"module","doc":"# Basic badge\n    <.badge>Default</.badge>\n\n    # Primary badge with icon\n    <.badge variant={:primary} icon=\"hero-star\">\n      Featured\n    </.badge>\n\n    # Success badge with dot indicator\n    <.badge variant={:success} show_dot>\n      Online\n    </.badge>\n\n    # Warning badge with flat shape and border\n    <.badge\n      variant={:warning}\n      shape={:flat}\n      bordered\n    >\n      Beta\n    </.badge>\n\n    # Large error badge with icon\n    <.badge\n      variant={:error}\n      size={:lg}\n      icon=\"hero-exclamation-circle\"\n    >\n      Critical\n    </.badge>","title":"Examples - Lume.Components.Badge","ref":"Lume.Components.Badge.html#module-examples"},{"type":"function","doc":"Renders a badge component.","title":"Lume.Components.Badge.badge/1","ref":"Lume.Components.Badge.html#badge/1"},{"type":"function","doc":"* `variant` - Color variant (`:default`, `:primary`, `:success`, `:warning`, `:error`), defaults to `:default`\n  * `size` - Size variant (`:sm`, `:md`, `:lg`), defaults to `:md`\n  * `shape` - Shape variant (`:pill`, `:flat`), defaults to `:pill`\n  * `bordered` - Whether to show a border matching the text color, defaults to `false`\n  * `show_dot` - Whether to show a leading dot indicator, defaults to `false`\n  * `icon` - Optional icon name (from heroicons)\n  * `class` - Additional CSS classes to apply to the badge","title":"Attributes - Lume.Components.Badge.badge/1","ref":"Lume.Components.Badge.html#badge/1-attributes"},{"type":"function","doc":"* `inner_block` - Required. The content to display inside the badge","title":"Slots - Lume.Components.Badge.badge/1","ref":"Lume.Components.Badge.html#badge/1-slots"},{"type":"function","doc":"* `variant` (`:atom`) - Defaults to `:default`.\n* `size` (`:atom`) - Defaults to `:md`.\n* `shape` (`:atom`) - Defaults to `:pill`.\n* `bordered` (`:boolean`) - Defaults to `false`.\n* `icon` (`:string`) - Defaults to `nil`.\n* `show_dot` (`:boolean`) - Defaults to `false`.\n* `class` (`:string`) - Defaults to `nil`.","title":"Attributes - Lume.Components.Badge.badge/1","ref":"Lume.Components.Badge.html#badge/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Lume.Components.Badge.badge/1","ref":"Lume.Components.Badge.html#badge/1-slots"},{"type":"module","doc":"","title":"Lume.Components.Breadcrumbs","ref":"Lume.Components.Breadcrumbs.html"},{"type":"function","doc":"A breadcrumbs component","title":"Lume.Components.Breadcrumbs.breadcrumbs/1","ref":"Lume.Components.Breadcrumbs.html#breadcrumbs/1"},{"type":"function","doc":"<.breadcrumbs id=\"item\">\n      <:crumb navigate={~p\"/\"}>\n        <.icon name=\"hero-home-mini\" class=\"w-4 h-4 mr-1\" /> Home\n      </:crumb>\n      <:crumb navigate={~p\"/items\"}>Items</:crumb>\n      <:crumb current={true}>Current Item</:crumb>\n    </.breadcrumbs>\n\n    <.breadcrumbs id=\"custom-separator\" separator_icon=\"hero-chevron-right-mini\">\n      <:crumb navigate={~p\"/\"}>Home</:crumb>\n      <:crumb navigate={~p\"/items\"}>Items</:crumb>\n      <:crumb>Item</:crumb>\n    </.breadcrumbs>","title":"Examples - Lume.Components.Breadcrumbs.breadcrumbs/1","ref":"Lume.Components.Breadcrumbs.html#breadcrumbs/1-examples"},{"type":"function","doc":"* `id` (`:string`) (required)\n* `class` (`:string`) - Defaults to `nil`.\n* `separator_icon` (`:string`) - Defaults to `\"hero-chevron-right-mini\"`.\n* `size` (`:string`) - Defaults to `\"sm\"`.","title":"Attributes - Lume.Components.Breadcrumbs.breadcrumbs/1","ref":"Lume.Components.Breadcrumbs.html#breadcrumbs/1-attributes"},{"type":"function","doc":"* `crumb` (required) - Accepts attributes:\n\n  * `navigate` (`:string`)\n  * `current` (`:boolean`)","title":"Slots - Lume.Components.Breadcrumbs.breadcrumbs/1","ref":"Lume.Components.Breadcrumbs.html#breadcrumbs/1-slots"},{"type":"module","doc":"A flexible dropdown menu component with smooth transitions.","title":"Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html"},{"type":"module","doc":"* Flexible trigger content (button, text, avatar, etc.)\n  * Menu items with optional icons and variants\n  * Smooth transitions using Phoenix.LiveView.JS\n  * Dark mode support\n  * Configurable dropdown alignment (left, right)\n  * Multiple size variants\n  * Click outside or escape key to close\n  * Support for right-aligned content in menu items","title":"Features - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-features"},{"type":"module","doc":"The dropdown menu can be used with a built-in trigger (icon + label) or with a custom trigger:\n\n```heex\n# With icon and label (disclosure indicator is shown by default)\n<.dropdown_menu id=\"user-menu\" icon=\"hero-user\" label=\"User Menu\">\n  <.menu_item>Profile</.menu_item>\n  <.menu_item>Settings</.menu_item>\n</.dropdown_menu>\n\n# Without disclosure indicator\n<.dropdown_menu id=\"menu\" icon=\"hero-cog-6-tooth\" label=\"Settings\" disclosure={false}>\n  <.menu_item>General</.menu_item>\n  <.menu_item>Advanced</.menu_item>\n</.dropdown_menu>\n\n# Or with a custom trigger\n<.dropdown_menu id=\"custom-trigger\">\n  <:trigger>\n     Custom Trigger \n  </:trigger>\n  <.menu_item>Profile</.menu_item>\n</.dropdown_menu>\n```","title":"Basic Usage - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-basic-usage"},{"type":"module","doc":"Menu items support several features:","title":"Menu Items - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-menu-items"},{"type":"module","doc":"```heex\n<.dropdown_menu id=\"menu-with-variants\">\n  <.menu_item icon=\"hero-user\">\n    Profile\n  </.menu_item>\n  <.menu_item icon=\"hero-cog-6-tooth\" variant={:warning}>\n    Settings\n  </.menu_item>\n  <.menu_item icon=\"hero-arrow-right-on-rectangle\" variant={:danger}>\n    Sign out\n  </.menu_item>\n</.dropdown_menu>\n```","title":"Icons and Variants - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-icons-and-variants"},{"type":"module","doc":"Perfect for displaying keyboard shortcuts or additional information:\n\n```heex\n<.dropdown_menu id=\"menu-with-shortcuts\">\n  <.menu_item icon=\"hero-magnifying-glass\">\n    Search\n    <:right_content>\n       ⌘K \n    </:right_content>\n  </.menu_item>\n  <.menu_item icon=\"hero-trash\" variant={:danger}>\n    Delete\n    <:right_content>\n       ⌘⌫ \n    </:right_content>\n  </.menu_item>\n</.dropdown_menu>\n```","title":"Right-aligned Content - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-right-aligned-content"},{"type":"module","doc":"```heex\n<.dropdown_menu id=\"menu-with-disabled\">\n  <.menu_item>Enabled Item</.menu_item>\n  <.menu_item disabled={true}>Disabled Item</.menu_item>\n</.dropdown_menu>\n```","title":"Disabled Items - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-disabled-items"},{"type":"module","doc":"Use the separator component to group related items:\n\n```heex\n<.dropdown_menu id=\"menu-with-separator\">\n  <.menu_item icon=\"hero-user\">Profile</.menu_item>\n  <.menu_item icon=\"hero-cog-6-tooth\">Settings</.menu_item>\n  <.separator />\n  <.menu_item icon=\"hero-arrow-right-on-rectangle\" variant={:danger}>\n    Sign out\n  </.menu_item>\n</.dropdown_menu>\n```","title":"Using Separators - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-using-separators"},{"type":"module","doc":"","title":"Customization - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-customization"},{"type":"module","doc":"Both the trigger and menu items can be sized independently:\n\n```heex\n<.dropdown_menu id=\"large-menu\" size={:lg} menu_size={:lg}>\n  <.menu_item size={:lg}>Large Item</.menu_item>\n</.dropdown_menu>\n```\n\nAvailable sizes:\n- `:sm` - Compact size\n- `:md` - Default size\n- `:lg` - Large size","title":"Size Variants - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-size-variants"},{"type":"module","doc":"Control which side the menu appears on:\n\n```heex\n<.dropdown_menu id=\"right-menu\" align={:right}>\n  <.menu_item>Right-aligned Menu</.menu_item>\n</.dropdown_menu>\n```","title":"Menu Alignment - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-menu-alignment"},{"type":"module","doc":"The dropdown menu implements several accessibility features:\n- Keyboard navigation (Tab, Enter, Space, Escape)\n- ARIA roles and attributes\n- Focus management\n- Screen reader support","title":"Accessibility - Lume.Components.DropdownMenu","ref":"Lume.Components.DropdownMenu.html#module-accessibility"},{"type":"function","doc":"Renders a dropdown menu component.","title":"Lume.Components.DropdownMenu.dropdown_menu/1","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1"},{"type":"function","doc":"* `id` - Required unique identifier for the dropdown\n  * `label` - Optional text label for the trigger (replaces the trigger slot)\n  * `icon` - Optional icon name to display (replaces the trigger slot)\n  * `disclosure` - Whether to show a disclosure indicator in the trigger, defaults to true\n  * `align` - Alignment of the menu (`:left` or `:right`), defaults to `:left`\n  * `size` - Size variant for the trigger label and icons (`:sm`, `:md`, `:lg`), defaults to `:md`\n  * `menu_size` - Size variant for the menu width (`:sm`, `:md`, `:lg`), defaults to `:md`\n  * `class` - Additional CSS classes to apply to the trigger container\n  * `menu_class` - Additional CSS classes to apply to the menu container","title":"Attributes - Lume.Components.DropdownMenu.dropdown_menu/1","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-attributes"},{"type":"function","doc":"* `trigger` - The content that triggers the dropdown menu (overrides label and icon)\n  * `inner_block` - The content of the dropdown menu (typically menu_item components)","title":"Slots - Lume.Components.DropdownMenu.dropdown_menu/1","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-slots"},{"type":"function","doc":"<.dropdown_menu\n      id=\"user-menu\"\n      icon=\"hero-user\"\n      label=\"User Menu\"\n      menu_size={:lg}\n    >\n      <.menu_item>\n        <.link navigate={~p\"/profile\"} class=\"w-full\">Profile</.link>\n      </.menu_item>\n      <.menu_item>\n        <.link patch={~p\"/settings\"} class=\"w-full\">Settings</.link>\n      </.menu_item>\n      <.menu_item variant={:danger}>\n         Sign out \n      </.menu_item>\n    </.dropdown_menu>","title":"Examples - Lume.Components.DropdownMenu.dropdown_menu/1","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-examples"},{"type":"function","doc":"* `id` (`:string`) (required)\n* `label` (`:string`) - Defaults to `nil`.\n* `icon` (`:string`) - Defaults to `nil`.\n* `disclosure` (`:boolean`) - Defaults to `true`.\n* `align` (`:atom`) - Defaults to `:left`.\n* `size` (`:atom`) - Defaults to `:md`.\n* `menu_size` (`:atom`) - Defaults to `:md`.\n* `class` (`:string`) - Defaults to `nil`.\n* `menu_class` (`:string`) - Defaults to `nil`.","title":"Attributes - Lume.Components.DropdownMenu.dropdown_menu/1","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-attributes"},{"type":"function","doc":"* `trigger`\n* `inner_block` (required)","title":"Slots - Lume.Components.DropdownMenu.dropdown_menu/1","ref":"Lume.Components.DropdownMenu.html#dropdown_menu/1-slots"},{"type":"function","doc":"Hides the dropdown menu.","title":"Lume.Components.DropdownMenu.hide_menu/1","ref":"Lume.Components.DropdownMenu.html#hide_menu/1"},{"type":"function","doc":"Renders a menu item within a dropdown menu.","title":"Lume.Components.DropdownMenu.menu_item/1","ref":"Lume.Components.DropdownMenu.html#menu_item/1"},{"type":"function","doc":"* `variant` - Optional color variant (`:default`, `:danger`, or `:warning`)\n  * `disabled` - Optional boolean to disable the item\n  * `icon` - Optional icon name to display\n  * `class` - Additional CSS classes for the menu item\n  * `rest` - Any additional HTML attributes","title":"Attributes - Lume.Components.DropdownMenu.menu_item/1","ref":"Lume.Components.DropdownMenu.html#menu_item/1-attributes"},{"type":"function","doc":"* `right_content` - Content to display on the right side of the menu item\n  * `inner_block` - The content of the menu item","title":"Slots - Lume.Components.DropdownMenu.menu_item/1","ref":"Lume.Components.DropdownMenu.html#menu_item/1-slots"},{"type":"function","doc":"<.menu_item variant={:danger} icon=\"hero-trash\">\n      Delete\n      <:right_content>\n         ⌘D \n      </:right_content>\n    </.menu_item>","title":"Examples - Lume.Components.DropdownMenu.menu_item/1","ref":"Lume.Components.DropdownMenu.html#menu_item/1-examples"},{"type":"function","doc":"* `variant` (`:atom`) - Defaults to `:default`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* `icon` (`:string`) - Defaults to `nil`.\n* `size` (`:atom`) - Defaults to `:md`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted.","title":"Attributes - Lume.Components.DropdownMenu.menu_item/1","ref":"Lume.Components.DropdownMenu.html#menu_item/1-attributes"},{"type":"function","doc":"* `inner_block` (required)\n* `right_content`","title":"Slots - Lume.Components.DropdownMenu.menu_item/1","ref":"Lume.Components.DropdownMenu.html#menu_item/1-slots"},{"type":"function","doc":"Shows the dropdown menu.","title":"Lume.Components.DropdownMenu.show_menu/1","ref":"Lume.Components.DropdownMenu.html#show_menu/1"},{"type":"function","doc":"Toggles the visibility of the dropdown menu.","title":"Lume.Components.DropdownMenu.toggle_menu/1","ref":"Lume.Components.DropdownMenu.html#toggle_menu/1"},{"type":"module","doc":"Renders a [Heroicon](https://heroicons.com).\n\nOriginally from https://github.com/phoenixframework/phoenix\n\nHeroicons come in three styles – outline, solid, and mini.\nBy default, the outline style is used, but solid and mini may\nbe applied by using the `-solid` and `-mini` suffix.\n\nYou can customize the size and colors of the icons by setting\nwidth, height, and background color classes.\n\nIcons are extracted from the `deps/heroicons` directory and bundled within\nyour compiled app.css by the plugin in your `assets/tailwind.config.js`.","title":"Lume.Components.Icon","ref":"Lume.Components.Icon.html"},{"type":"module","doc":"<.icon name=\"hero-x-mark-solid\" />\n    <.icon name=\"hero-arrow-path\" class=\"ml-1 w-3 h-3 motion-safe:animate-spin\" />","title":"Examples - Lume.Components.Icon","ref":"Lume.Components.Icon.html#module-examples"},{"type":"function","doc":"This is copied from the default CoreComponents.icon/1 but enhanced to handle both string and list classes","title":"Lume.Components.Icon.icon/1","ref":"Lume.Components.Icon.html#icon/1"},{"type":"function","doc":"* `name` (`:string`) (required)\n* `class` (`:any`) - Defaults to `nil`.","title":"Attributes - Lume.Components.Icon.icon/1","ref":"Lume.Components.Icon.html#icon/1-attributes"},{"type":"module","doc":"A flexible navigation bar component for application headers.","title":"Lume.Components.Navbar","ref":"Lume.Components.Navbar.html"},{"type":"module","doc":"* Responsive design with mobile menu toggle\n  * Customizable heading\n  * Flexible right-side content through slots\n  * Mobile-friendly with sidebar integration\n  * Dark mode support","title":"Features - Lume.Components.Navbar","ref":"Lume.Components.Navbar.html#module-features"},{"type":"module","doc":"# Basic navbar with heading\n    <.navbar>\n      Dashboard\n    </.navbar>\n\n    # With notifications icon and user profile\n    <.navbar>\n      Settings\n      <:right_content>\n         \n          <.icon_button icon=\"hero-bell\" />\n          <.user_profile user={@current_user} />\n         \n      </:right_content>\n    </.navbar>\n\n    # Simple navbar with custom content\n    <.navbar>\n      Projects\n      <:right_content>\n        <.button>New Project</.button>\n      </:right_content>\n    </.navbar>","title":"Examples - Lume.Components.Navbar","ref":"Lume.Components.Navbar.html#module-examples"},{"type":"function","doc":"Renders a navigation bar component.","title":"Lume.Components.Navbar.navbar/1","ref":"Lume.Components.Navbar.html#navbar/1"},{"type":"function","doc":"* `sidebar_id` - ID of the sidebar to toggle on mobile, defaults to \"sidebar\"\n  * `menu_toggle` - Whether to show the menu toggle button, defaults to true","title":"Attributes - Lume.Components.Navbar.navbar/1","ref":"Lume.Components.Navbar.html#navbar/1-attributes"},{"type":"function","doc":"* `inner_block` - The content to be displayed in the main section of the navbar\n  * `right_content` - Content to display on the right side of the navbar","title":"Slots - Lume.Components.Navbar.navbar/1","ref":"Lume.Components.Navbar.html#navbar/1-slots"},{"type":"function","doc":"* `sidebar_id` (`:string`) - Defaults to `\"sidebar\"`.\n* `menu_toggle` (`:boolean`) - Defaults to `true`.","title":"Attributes - Lume.Components.Navbar.navbar/1","ref":"Lume.Components.Navbar.html#navbar/1-attributes"},{"type":"function","doc":"* `inner_block` (required)\n* `right_content`","title":"Slots - Lume.Components.Navbar.navbar/1","ref":"Lume.Components.Navbar.html#navbar/1-slots"},{"type":"module","doc":"A simple separator line component.","title":"Lume.Components.Separator","ref":"Lume.Components.Separator.html"},{"type":"function","doc":"Renders a separator line.","title":"Lume.Components.Separator.separator/1","ref":"Lume.Components.Separator.html#separator/1"},{"type":"function","doc":"* `class` - Additional CSS classes to apply to the separator","title":"Attributes - Lume.Components.Separator.separator/1","ref":"Lume.Components.Separator.html#separator/1-attributes"},{"type":"function","doc":"* `class` (`:string`) - Defaults to `nil`.","title":"Attributes - Lume.Components.Separator.separator/1","ref":"Lume.Components.Separator.html#separator/1-attributes"},{"type":"module","doc":"A responsive sidebar component for application navigation.","title":"Lume.Components.Sidebar","ref":"Lume.Components.Sidebar.html"},{"type":"module","doc":"* Responsive design with mobile and desktop layouts\n  * Smooth mobile transitions with backdrop\n  * Customizable content through slots\n  * Support for logo and title\n  * Dark mode support","title":"Features - Lume.Components.Sidebar","ref":"Lume.Components.Sidebar.html#module-features"},{"type":"module","doc":"# Basic sidebar with branding and navigation\n    <.sidebar>\n      <.brand title=\"My App\" logo=\"/images/logo.svg\">\n      <.nav_items\n        items={[\n          %{icon: \"hero-home\", label: \"Dashboard\", path: \"/\", nav_item: :dashboard},\n          %{icon: \"hero-users\", label: \"Users\", path: \"/users\", nav_item: :users},\n          %{separator: true},\n          %{icon: \"hero-cog\", label: \"Settings\", path: \"/settings\", nav_item: :settings}\n        ]}\n        current_item={:dashboard}\n      />\n    </.sidebar>\n\n    # Sidebar with custom content\n    <.sidebar id=\"admin-sidebar\">\n      <.brand title=\"MyApp Admin Panel\">\n      <.separator />\n       \n         Custom Content \n         Add any content here! \n       \n    </.sidebar>","title":"Examples - Lume.Components.Sidebar","ref":"Lume.Components.Sidebar.html#module-examples"},{"type":"function","doc":"Renders the branding section of the sidebar.","title":"Lume.Components.Sidebar.brand/1","ref":"Lume.Components.Sidebar.html#brand/1"},{"type":"function","doc":"* `title` - Optional title text to display at the top\n  * `logo` - Optional path to logo image","title":"Attributes - Lume.Components.Sidebar.brand/1","ref":"Lume.Components.Sidebar.html#brand/1-attributes"},{"type":"function","doc":"* `inner_block` - The content to be displayed below the title","title":"Slots - Lume.Components.Sidebar.brand/1","ref":"Lume.Components.Sidebar.html#brand/1-slots"},{"type":"function","doc":"* `title` (`:string`) - Defaults to `nil`.\n* `logo` (`:string`) - Defaults to `nil`.","title":"Attributes - Lume.Components.Sidebar.brand/1","ref":"Lume.Components.Sidebar.html#brand/1-attributes"},{"type":"function","doc":"* `inner_block`","title":"Slots - Lume.Components.Sidebar.brand/1","ref":"Lume.Components.Sidebar.html#brand/1-slots"},{"type":"function","doc":"Navigation items component for the sidebar.","title":"Lume.Components.Sidebar.nav_items/1","ref":"Lume.Components.Sidebar.html#nav_items/1"},{"type":"function","doc":"* `items` - List of navigation item maps with the following structure:\n      * `icon` - Icon name (for heroicons, use \"hero-*\")\n      * `label` - Display text\n      * `path` - Navigation path\n      * `nav_item` - Atom identifier\n      * `separator` - Boolean to render a separator instead of a nav item\n  * `current_item` - Atom identifying the current navigation item","title":"Attributes - Lume.Components.Sidebar.nav_items/1","ref":"Lume.Components.Sidebar.html#nav_items/1-attributes"},{"type":"function","doc":"* `items` (`:list`) (required)\n* `current_item` (`:atom`) (required)","title":"Attributes - Lume.Components.Sidebar.nav_items/1","ref":"Lume.Components.Sidebar.html#nav_items/1-attributes"},{"type":"function","doc":"Renders the main sidebar component.","title":"Lume.Components.Sidebar.sidebar/1","ref":"Lume.Components.Sidebar.html#sidebar/1"},{"type":"function","doc":"* `id` - Optional unique identifier for the sidebar, defaults to \"sidebar\"","title":"Attributes - Lume.Components.Sidebar.sidebar/1","ref":"Lume.Components.Sidebar.html#sidebar/1-attributes"},{"type":"function","doc":"* `inner_block` - The content to be displayed in the sidebar","title":"Slots - Lume.Components.Sidebar.sidebar/1","ref":"Lume.Components.Sidebar.html#sidebar/1-slots"},{"type":"function","doc":"* `id` (`:string`) - Defaults to `\"sidebar\"`.","title":"Attributes - Lume.Components.Sidebar.sidebar/1","ref":"Lume.Components.Sidebar.html#sidebar/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Lume.Components.Sidebar.sidebar/1","ref":"Lume.Components.Sidebar.html#sidebar/1-slots"},{"type":"module","doc":"Provides core UI components.\n\nThis is taken from the default CoreComponents module in Phoenix LiveView\n[https://github.com/phoenixframework/phoenix/]\nbut updated to add dark mode support.\n\nicon has been removed and replaced with a separate component, Lume.Components.Icon","title":"Lume.CoreComponents","ref":"Lume.CoreComponents.html"},{"type":"function","doc":"Renders a back navigation link.","title":"Lume.CoreComponents.back/1","ref":"Lume.CoreComponents.html#back/1"},{"type":"function","doc":"<.back navigate={~p\"/posts\"}>Back to posts</.back>","title":"Examples - Lume.CoreComponents.back/1","ref":"Lume.CoreComponents.html#back/1-examples"},{"type":"function","doc":"* `navigate` (`:any`) (required)","title":"Attributes - Lume.CoreComponents.back/1","ref":"Lume.CoreComponents.html#back/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Lume.CoreComponents.back/1","ref":"Lume.CoreComponents.html#back/1-slots"},{"type":"function","doc":"Renders a button.","title":"Lume.CoreComponents.button/1","ref":"Lume.CoreComponents.html#button/1"},{"type":"function","doc":"<.button>Send!</.button>\n    <.button phx-click=\"go\" class=\"ml-2\">Send!</.button>","title":"Examples - Lume.CoreComponents.button/1","ref":"Lume.CoreComponents.html#button/1-examples"},{"type":"function","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","title":"Attributes - Lume.CoreComponents.button/1","ref":"Lume.CoreComponents.html#button/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Lume.CoreComponents.button/1","ref":"Lume.CoreComponents.html#button/1-slots"},{"type":"function","doc":"Generates a generic error message.","title":"Lume.CoreComponents.error/1","ref":"Lume.CoreComponents.html#error/1"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Lume.CoreComponents.error/1","ref":"Lume.CoreComponents.html#error/1-slots"},{"type":"function","doc":"Renders flash notices.","title":"Lume.CoreComponents.flash/1","ref":"Lume.CoreComponents.html#flash/1"},{"type":"function","doc":"<.flash kind={:info} flash={@flash} />\n    <.flash kind={:info} phx-mounted={show(\"#flash\")}>Welcome Back!</.flash>","title":"Examples - Lume.CoreComponents.flash/1","ref":"Lume.CoreComponents.html#flash/1-examples"},{"type":"function","doc":"* `id` (`:string`) - the optional id of flash container.\n* `flash` (`:map`) - the map of flash messages to display. Defaults to `%{}`.\n* `title` (`:string`) - Defaults to `nil`.\n* `kind` (`:atom`) - used for styling and flash lookup.Must be one of `:info`, or `:error`.\n* Global attributes are accepted. the arbitrary HTML attributes to add to the flash container.","title":"Attributes - Lume.CoreComponents.flash/1","ref":"Lume.CoreComponents.html#flash/1-attributes"},{"type":"function","doc":"* `inner_block` - the optional inner block that renders the flash message.","title":"Slots - Lume.CoreComponents.flash/1","ref":"Lume.CoreComponents.html#flash/1-slots"},{"type":"function","doc":"Shows the flash group with standard titles and content.","title":"Lume.CoreComponents.flash_group/1","ref":"Lume.CoreComponents.html#flash_group/1"},{"type":"function","doc":"<.flash_group flash={@flash} />","title":"Examples - Lume.CoreComponents.flash_group/1","ref":"Lume.CoreComponents.html#flash_group/1-examples"},{"type":"function","doc":"* `flash` (`:map`) (required) - the map of flash messages.\n* `id` (`:string`) - the optional id of flash container. Defaults to `\"flash-group\"`.","title":"Attributes - Lume.CoreComponents.flash_group/1","ref":"Lume.CoreComponents.html#flash_group/1-attributes"},{"type":"function","doc":"Renders a header with title.","title":"Lume.CoreComponents.header/1","ref":"Lume.CoreComponents.html#header/1"},{"type":"function","doc":"* `class` (`:string`) - Defaults to `nil`.","title":"Attributes - Lume.CoreComponents.header/1","ref":"Lume.CoreComponents.html#header/1-attributes"},{"type":"function","doc":"* `inner_block` (required)\n* `subtitle`\n* `actions`","title":"Slots - Lume.CoreComponents.header/1","ref":"Lume.CoreComponents.html#header/1-slots"},{"type":"function","doc":"","title":"Lume.CoreComponents.hide/2","ref":"Lume.CoreComponents.html#hide/2"},{"type":"function","doc":"","title":"Lume.CoreComponents.hide_modal/2","ref":"Lume.CoreComponents.html#hide_modal/2"},{"type":"function","doc":"Renders an input with label and error messages.\n\nA `Phoenix.HTML.FormField` may be passed as argument,\nwhich is used to retrieve the input name, id, and values.\nOtherwise all attributes may be passed explicitly.","title":"Lume.CoreComponents.input/1","ref":"Lume.CoreComponents.html#input/1"},{"type":"function","doc":"This function accepts all HTML input types, considering that:\n\n  * You may also set `type=\"select\"` to render a ` ` tag\n\n  * `type=\"checkbox\"` is used exclusively to render boolean values\n\n  * For live file uploads, see `Phoenix.Component.live_file_input/1`\n\nSee https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input\nfor more information. Unsupported types, such as hidden and radio,\nare best written directly in your templates.","title":"Types - Lume.CoreComponents.input/1","ref":"Lume.CoreComponents.html#input/1-types"},{"type":"function","doc":"<.input field={@form[:email]} type=\"email\" />\n    <.input name=\"my-input\" errors={[\"oh no!\"]} />","title":"Examples - Lume.CoreComponents.input/1","ref":"Lume.CoreComponents.html#input/1-examples"},{"type":"function","doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","title":"Attributes - Lume.CoreComponents.input/1","ref":"Lume.CoreComponents.html#input/1-attributes"},{"type":"function","doc":"Renders a label.","title":"Lume.CoreComponents.label/1","ref":"Lume.CoreComponents.html#label/1"},{"type":"function","doc":"* `for` (`:string`) - Defaults to `nil`.","title":"Attributes - Lume.CoreComponents.label/1","ref":"Lume.CoreComponents.html#label/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Lume.CoreComponents.label/1","ref":"Lume.CoreComponents.html#label/1-slots"},{"type":"function","doc":"Renders a data list.","title":"Lume.CoreComponents.list/1","ref":"Lume.CoreComponents.html#list/1"},{"type":"function","doc":"<.list>\n      <:item title=\"Title\">{@post.title}</:item>\n      <:item title=\"Views\">{@post.views}</:item>\n    </.list>","title":"Examples - Lume.CoreComponents.list/1","ref":"Lume.CoreComponents.html#list/1-examples"},{"type":"function","doc":"* `item` (required) - Accepts attributes:\n\n  * `title` (`:string`) (required)","title":"Slots - Lume.CoreComponents.list/1","ref":"Lume.CoreComponents.html#list/1-slots"},{"type":"function","doc":"Renders a modal.","title":"Lume.CoreComponents.modal/1","ref":"Lume.CoreComponents.html#modal/1"},{"type":"function","doc":"<.modal id=\"confirm-modal\">\n      This is a modal.\n    </.modal>\n\nJS commands may be passed to the `:on_cancel` to configure\nthe closing/cancel event, for example:\n\n    <.modal id=\"confirm\" on_cancel={JS.navigate(~p\"/posts\")}>\n      This is another modal.\n    </.modal>","title":"Examples - Lume.CoreComponents.modal/1","ref":"Lume.CoreComponents.html#modal/1-examples"},{"type":"function","doc":"* `id` (`:string`) (required)\n* `show` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.","title":"Attributes - Lume.CoreComponents.modal/1","ref":"Lume.CoreComponents.html#modal/1-attributes"},{"type":"function","doc":"* `inner_block` (required)","title":"Slots - Lume.CoreComponents.modal/1","ref":"Lume.CoreComponents.html#modal/1-slots"},{"type":"function","doc":"","title":"Lume.CoreComponents.show/2","ref":"Lume.CoreComponents.html#show/2"},{"type":"function","doc":"","title":"Lume.CoreComponents.show_modal/2","ref":"Lume.CoreComponents.html#show_modal/2"},{"type":"function","doc":"Renders a simple form.","title":"Lume.CoreComponents.simple_form/1","ref":"Lume.CoreComponents.html#simple_form/1"},{"type":"function","doc":"<.simple_form for={@form} phx-change=\"validate\" phx-submit=\"save\">\n      <.input field={@form[:email]} label=\"Email\"/>\n      <.input field={@form[:username]} label=\"Username\" />\n      <:actions>\n        <.button>Save</.button>\n      </:actions>\n    </.simple_form>","title":"Examples - Lume.CoreComponents.simple_form/1","ref":"Lume.CoreComponents.html#simple_form/1-examples"},{"type":"function","doc":"* `for` (`:any`) (required) - the data structure for the form.\n* `as` (`:any`) - the server side parameter to collect all input under. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary HTML attributes to apply to the form tag. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","title":"Attributes - Lume.CoreComponents.simple_form/1","ref":"Lume.CoreComponents.html#simple_form/1-attributes"},{"type":"function","doc":"* `inner_block` (required)\n* `actions` - the slot for form actions, such as a submit button.","title":"Slots - Lume.CoreComponents.simple_form/1","ref":"Lume.CoreComponents.html#simple_form/1-slots"},{"type":"function","doc":"Renders a table with generic styling.","title":"Lume.CoreComponents.table/1","ref":"Lume.CoreComponents.html#table/1"},{"type":"function","doc":"<.table id=\"users\" rows={@users}>\n      <:col :let={user} label=\"id\">{user.id}</:col>\n      <:col :let={user} label=\"username\">{user.username}</:col>\n    </.table>","title":"Examples - Lume.CoreComponents.table/1","ref":"Lume.CoreComponents.html#table/1-examples"},{"type":"function","doc":"* `id` (`:string`) (required)\n* `rows` (`:list`) (required)\n* `row_id` (`:any`) - the function for generating the row id. Defaults to `nil`.\n* `row_click` (`:any`) - the function for handling phx-click on each row. Defaults to `nil`.\n* `row_item` (`:any`) - the function for mapping each row before calling the :col and :action slots. Defaults to `&Function.identity/1`.","title":"Attributes - Lume.CoreComponents.table/1","ref":"Lume.CoreComponents.html#table/1-attributes"},{"type":"function","doc":"* `col` (required) - Accepts attributes:\n\n  * `label` (`:string`)\n* `action` - the slot for showing user actions in the last table column.","title":"Slots - Lume.CoreComponents.table/1","ref":"Lume.CoreComponents.html#table/1-slots"},{"type":"function","doc":"Translates an error message using gettext.","title":"Lume.CoreComponents.translate_error/1","ref":"Lume.CoreComponents.html#translate_error/1"},{"type":"function","doc":"Translates the errors for a field from a keyword list of errors.","title":"Lume.CoreComponents.translate_errors/2","ref":"Lume.CoreComponents.html#translate_errors/2"},{"type":"module","doc":"Default Gettext module for Lume.\n\nApplications using Lume can override this by setting their own Gettext backend\nin their config:\n\n    config :lume,\n      gettext_backend: MyApp.Gettext","title":"Lume.Gettext","ref":"Lume.Gettext.html"},{"type":"function","doc":"","title":"Lume.Gettext.handle_missing_bindings/2","ref":"Lume.Gettext.html#handle_missing_bindings/2"},{"type":"function","doc":"","title":"Lume.Gettext.handle_missing_plural_translation/7","ref":"Lume.Gettext.html#handle_missing_plural_translation/7"},{"type":"function","doc":"","title":"Lume.Gettext.handle_missing_translation/5","ref":"Lume.Gettext.html#handle_missing_translation/5"},{"type":"extras","doc":"# Lume UI\n\nLume is a simple UI component library for Phoenix LiveView applications. It provides a set of ready-to-use components for your Phoenix LiveView applications.\n\nI got fed-up of reinventing the wheel every time I started a new project, and I don't want to always rely on paid UI libraries, so I decided to extract some of the components that I have created from my previous projects into a library.\n\nI also wanted to fit into 'Vanilla LiveView', and use the existing CoreComponents interface. So one of the primary goals of Lume is to be lightweight, easy to use, customize, and extend.\n\nIt is still in the early stages of development and currently only provides a handful of components, but I hope to add many more over time.\n\nPlease take a look at [lume_example](https://github.com/abradburne/lume_example) for an example how to use the components to create an application using a sidebar navigation menu.","title":"Lume UI","ref":"readme.html"},{"type":"extras","doc":"- Modern, clean design with dark mode support\n- Built for Phoenix LiveView\n- Simple navigation layout\n- Responsive layouts\n- Customizable with Tailwind CSS","title":"Features - Lume UI","ref":"readme.html#features"},{"type":"extras","doc":"","title":"Components - Lume UI","ref":"readme.html#components"},{"type":"extras","doc":"A component for displaying user avatars, including fallback options for when an image is not available.","title":"Avatar - Lume UI","ref":"readme.html#avatar"},{"type":"extras","doc":"A component for displaying navigation breadcrumbs with customizable separators and sizes. Ideal for showing the user's current location in hierarchical navigation structures.","title":"Breadcrumbs - Lume UI","ref":"readme.html#breadcrumbs"},{"type":"extras","doc":"A component for displaying small notifications or status indicators, often used for alerts or counts.","title":"Badge - Lume UI","ref":"readme.html#badge"},{"type":"extras","doc":"A flexible dropdown menu component that supports various triggers and menu items, including icons and variants.","title":"DropdownMenu - Lume UI","ref":"readme.html#dropdownmenu"},{"type":"extras","doc":"A navigation bar component that can include links and other interactive elements for site navigation.","title":"Navbar - Lume UI","ref":"readme.html#navbar"},{"type":"extras","doc":"A component used to visually separate content, typically used in lists or menus.","title":"Separator - Lume UI","ref":"readme.html#separator"},{"type":"extras","doc":"A component for creating a sidebar navigation menu, which can contain links and other interactive elements.","title":"Sidebar - Lume UI","ref":"readme.html#sidebar"},{"type":"extras","doc":"1. Add Lume to your mix.exs dependencies:\n\n```elixir\ndef deps do\n  [\n    {:lume, \"~> 0.2.0\"}\n  ]\nend\n```\n\n2. Run mix deps.get to install:\n\n```bash\nmix deps.get\n```","title":"Installation - Lume UI","ref":"readme.html#installation"},{"type":"extras","doc":"","title":"Setup - Lume UI","ref":"readme.html#setup"},{"type":"extras","doc":"Lume components use Tailwind CSS for styling. You need to configure your application's `tailwind.config.js` to include Lume's component paths so they don't get purged by Tailwind:\n\n```javascript\n// assets/tailwind.config.js\nmodule.exports = {\n  content: [\n    \"./js/**/*.js\",\n    \"../lib/*_web/**/*.*ex\",\n    \"../lib/*_web/**/*.heex\",\n    \"../deps/lume/**/*.*ex\"  // Add this line to include Lume components\n  ],\n  // ... rest of your config\n}\n```","title":"1. Configure Tailwind - Lume UI","ref":"readme.html#1-configure-tailwind"},{"type":"extras","doc":"Lume has its' own CoreComponents module, adding dark mode support and other tweaks to fit in with the Lume design and functionality. We will keep CoreComponents up to date with any changes made in Phoenix's CoreComponents module.\n\nDelete the existing `CoreComponents` module in your app, `lib/my_app/core_components.ex` and replace it with the Lume components in the html_helpers setup as shown below, along with the Lume components module:\n\n```elixir\ndefmodule MyAppWeb do\n  # ...\n\n  defp html_helpers do\n    quote do\n      use Lume  # This imports all Lume components\n\n      # Replace existing Core UI components with Lume equivalents\n      import Lume.CoreComponents\n\n      # ... rest of your html_helpers setup\n    end\n  end\nend\n```","title":"2. Setup Components - Lume UI","ref":"readme.html#2-setup-components"},{"type":"extras","doc":"Lume provides a simple sidebar navigation system that you can customize by providing your own navigation module. Here's how to set it up:\n\n1. Create a navigation module in your application:\n\n```elixir\ndefmodule MyAppWeb.Navigation do\n  @default_items [\n    # Basic navigation item\n    %{icon: \"hero-home\", label: \"Dashboard\", nav_item: :dashboard, path: \"/\"},\n\n    # Add a separator between groups\n    %{separator: true},\n\n    # Another navigation group\n    %{icon: \"hero-users\", label: \"Users\", nav_item: :users, path: \"/users\"},\n    %{icon: \"hero-cog\", label: \"Settings\", nav_item: :settings, path: \"/settings\"}\n  ]\n\n  def default_items do\n    @default_items\n  end\nend\n```\n\n2. In your LiveViews, set the current navigation item:\n\n```elixir\ndefmodule MyAppWeb.UsersLive do\n  use MyAppWeb, :live_view\n\n  def mount(_params, _session, socket) do\n    socket = assign(socket, :current_item, :users)\n    {:ok, socket}\n  end\nend\n```\n\nYou can then pass the navigation items and the current item into the sidebar's `nav_items` component to display the navigation list.\n\n3. Customize the sidebar appearance:\n\nYou can use the `brand` and `nav_items` components to add a header and navigation items to the sidebar, for example:\n\n```heex\n# Basic sidebar with navigation\n<.sidebar>\n  <.brand title=\"My App\" logo=\"/images/logo.svg\">\n  <.nav_items\n    items={MyAppWeb.Navigation.default_items()}\n    current_item={@current_item}\n  />\n</.sidebar>\n```\n\nYou can also just use the `inner_block` slot to add custom content to the sidebar, for example:\n```heex\n# Sidebar with custom content\n<.sidebar id=\"admin-sidebar\" title=\"Admin Panel\">\n   \n     Custom Content \n     Add any content here! \n   \n</.sidebar>\n```\n\nThe sidebar component supports:\n- `id`: Optional unique identifier for the sidebar, defaults to \"sidebar\"\n\nThe `brand` component supports:\n- `title`: Optional text to display at the top of the sidebar\n- `logo`: Optional path to your logo image\n\nThe `nav_items` component supports:\n- `current_item`: Atom representing the current navigation item\n- `items`: List of navigation items, where each item can be:\n  - Regular item: `%{icon: \"hero-*\", label: \"Label\", nav_item: :atom, path: \"/path\"}`\n  - Separator: `%{separator: true}` to add a visual divider between groups\n\nBy default, the sidebar is 72px wide on desktop. To accommodate it, set the left padding of your main content container to 72px.","title":"3. Customizing Sidebar Navigation - Lume UI","ref":"readme.html#3-customizing-sidebar-navigation"},{"type":"extras","doc":"Lume provides several components out of the box:\n\n- `<.avatar>` - A versatile avatar component with image support and fallback initials\n- `<.badge>` - A flexible badge component for status indicators and labels\n- `<.dropdown_menu>` - A flexible dropdown menu component\n- `<.navbar>` - A top navigation bar\n- `<.separator>` - A simple separator component\n- `<.sidebar>` - A responsive sidebar with navigation\n- More components coming soon...","title":"Usage - Lume UI","ref":"readme.html#usage"},{"type":"extras","doc":"","title":"Examples - Lume UI","ref":"readme.html#examples"},{"type":"extras","doc":"The sidebar component is a responsive sidebar navigation menu that supports custom branding and navigation items:\n\n```heex\n<.sidebar>\n  <.brand title=\"My App\" logo=\"/images/logo.svg\">\n  <.nav_items\n    items={MyAppWeb.Navigation.default_items()}\n    current_item={@current_item}\n  />\n</.sidebar>\n```\n\nYou can also just use the `inner_block` slot to add custom content to the sidebar, for example:\n```heex\n# Sidebar with custom content\n<.sidebar id=\"admin-sidebar\" title=\"Admin Panel\">\n   \n     Custom Content \n     Add any content here! \n   \n</.sidebar>\n```","title":"Sidebar Component - Lume UI","ref":"readme.html#sidebar-component"},{"type":"extras","doc":"The navbar component is a flexible top navigation bar that supports responsive design and custom right-side content:\n\n```heex\n# Basic navbar with heading\n<.navbar>\n  Dashboard\n  <:right_content>\n     \n      <.icon name=\"hero-bell\" class=\"h-6 w-6\" />\n     \n  </:right_content>\n</.navbar>\n```\n\nBy default, the navbar will show a mobile menu toggle (aka 'hamburger menu') on mobile (or when the screen is too narrow),\nbut you can disable it by setting `menu_toggle` to `false`:\n\n```heex\n<.navbar menu_toggle={false}>\n  Dashboard\n  <:right_content>\n     \n      <.icon name=\"hero-bell\" class=\"h-6 w-6\" />\n     \n  </:right_content>\n</.navbar>\n```","title":"Navbar Component - Lume UI","ref":"readme.html#navbar-component"},{"type":"extras","doc":"The avatar component supports images with fallback initials, multiple sizes, and status indicators:\n\n```heex\n# Basic avatar with image\n<.avatar\n  alt=\"John Doe\"\n  fallback=\"JD\"\n  image_url=\"/images/john.jpg\"\n/>\n\n# Avatar with status indicator\n<.avatar\n  alt=\"Alan B\"\n  fallback=\"AB\"\n  show_dot\n  dot_variant={:success}\n/>\n\n# Custom size and shape\n<.avatar\n  alt=\"User\"\n  fallback=\"U\"\n  size={:lg}\n  shape={:square}\n/>\n```","title":"Avatar Component - Lume UI","ref":"readme.html#avatar-component"},{"type":"extras","doc":"The badge component is perfect for status indicators, labels, and counts:\n\n```heex\n# Basic badge\n<.badge>Default</.badge>\n\n# Status badge with icon\n<.badge variant={:success} icon=\"hero-check-circle\">\n  Active\n</.badge>\n\n# Warning badge with dot\n<.badge variant={:warning} show_dot>\n  Pending\n</.badge>\n\n# Custom styled badge\n<.badge\n  variant={:primary}\n  size={:lg}\n  shape={:flat}\n  bordered\n>\n  Featured\n</.badge>\n```","title":"Badge Component - Lume UI","ref":"readme.html#badge-component"},{"type":"extras","doc":"The DropdownMenu component allows you to create flexible dropdown menus with various triggers and menu items.\n\n#### Basic Usage\n\n```elixir\n<.dropdown_menu id=\"user-menu\">\n  <:trigger>\n     Options \n  </:trigger>\n  <.menu_item>\n    <.link navigate={~p\"/profile\"} class=\"w-full\">Profile</.link>\n  </.menu_item>\n  <.menu_item>\n    <.link patch={~p\"/settings\"} class=\"w-full\">Settings</.link>\n  </.menu_item>\n  <.menu_item variant={:error}>\n     Sign out \n  </.menu_item>\n</.dropdown_menu>\n```\n\n#### With Icons\n\nYou can also add icons to your menu items:\n\n```elixir\n<.dropdown_menu id=\"icon-menu\">\n  <:trigger>\n     Menu \n  </:trigger>\n\n  <.menu_item icon=\"hero-user\">\n    <.link navigate={~p\"/profile\"} class=\"w-full\">Profile</.link>\n  </.menu_item>\n\n  <.menu_item icon=\"hero-cog-6-tooth\">\n    <.link navigate={~p\"/settings\"} class=\"w-full\">Settings</.link>\n  </.menu_item>\n\n  <.separator />\n\n  <.menu_item variant={:error} icon=\"hero-arrow-right-on-rectangle\">\n     Sign out \n  </.menu_item>\n</.dropdown_menu>\n```\n\n#### Custom Alignment\n\nYou can customize the alignment of the dropdown menu:\n\n```elixir\n<.dropdown_menu id=\"right-aligned-menu\" align={:right}>\n  <:trigger>\n     Menu \n  </:trigger>\n  <.menu_item>\n    Profile\n  </.menu_item>\n</.dropdown_menu>\n```\n\n#### Size Variants\n\nThe DropdownMenu supports different size variants:\n\n```elixir\n<.dropdown_menu id=\"large-menu\" size={:lg}>\n  <:trigger>\n     Large Menu \n  </:trigger>\n  <.menu_item>\n    Item 1\n  </.menu_item>\n</.dropdown_menu>\n```\n\n#### Disabled Menu Items\n\nYou can disable menu items as well:\n\n```elixir\n<.dropdown_menu id=\"disabled-item-menu\">\n  <:trigger>\n     Menu \n  </:trigger>\n  <.menu_item disabled={true}>\n    Disabled Item\n  </.menu_item>\n</.dropdown_menu>\n```","title":"Dropdown Menu - Lume UI","ref":"readme.html#dropdown-menu"},{"type":"extras","doc":"The navbar component is a flexible top navigation bar that supports responsive design and custom right-side content:\n\n```heex\n# Basic navbar with heading\n<.navbar>\n  Dashboard\n  <:right_content>\n     \n      <.icon name=\"hero-bell\" class=\"h-6 w-6\" />\n     \n  </:right_content>\n</.navbar>\n```\n\nBy default, the navbar will show a mobile menu toggle (aka 'hamburger menu') on mobile (or when the screen is too narrow),\nbut you can disable it by setting `menu_toggle` to `false`:\n\n```heex\n<.navbar menu_toggle={false}>\n  Dashboard\n  <:right_content>\n     \n      <.icon name=\"hero-bell\" class=\"h-6 w-6\" />\n     \n  </:right_content>\n</.navbar>\n```","title":"Navbar Component - Lume UI","ref":"readme.html#navbar-component"},{"type":"extras","doc":"The breadcrumb component is a flexible breadcrumb navigation component that supports custom paths and labels:\n\n```elixir\n<.breadcrumbs id=\"navigation\">\n  <:crumb navigate={~p\"/\"}>\n    <.icon name=\"hero-home-mini\" class=\"w-4 h-4 mr-1\" /> Home\n  </:crumb>\n  <:crumb navigate={~p\"/items\"}>Items</:crumb>\n  <:crumb current={true}>Current Item</:crumb>\n</.breadcrumbs>\n```\n\nThe breadcrumbs component is designed to be highly customizable while maintaining accessibility and consistent styling. Each crumb can be a link or plain text, and you can include icons or other content within crumbs.\n\n#### Component Properties\n\n- `id`: Required string identifier for the breadcrumbs component\n- `class`: Optional CSS classes to apply to the container\n- `separator_icon`: Optional icon name for the separator (default: \"hero-chevron-right-mini\")\n- `size`: Optional size variant (\"xs\", \"sm\", \"md\", \"lg\", default: \"sm\")\n\n#### Crumb Slots\n\nEach crumb is defined using the `:crumb` slot and supports:\n- `navigate`: Optional path for making the crumb a clickable link\n- `current`: Optional boolean to mark the current/active crumb (adds appropriate styling and aria-current)\n\n#### Size Variants\n\nThe breadcrumbs component supports four size variants that affect both text and separator icons:\n```elixir\n<.breadcrumbs id=\"xs-example\" size=\"xs\">\n  <:crumb navigate={~p\"/\"}>Home</:crumb>\n  <:crumb>Items</:crumb>\n</.breadcrumbs>\n\n<.breadcrumbs id=\"lg-example\" size=\"lg\">\n  <:crumb navigate={~p\"/\"}>Home</:crumb>\n  <:crumb>Items</:crumb>\n</.breadcrumbs>\n```\n\n#### Custom Separators\n\nYou can customize the separator icon using any icon from the Hero Icons set:\n```elixir\n<.breadcrumbs id=\"custom\" separator_icon=\"hero-chevron-double-right-mini\">\n  <:crumb navigate={~p\"/\"}>Home</:crumb>\n  <:crumb>Items</:crumb>\n</.breadcrumbs>\n```","title":"Breadcrumb Component - Lume UI","ref":"readme.html#breadcrumb-component"},{"type":"extras","doc":"Copyright (c) 2025 Alan Bradburne\n\nThis library is released under the MIT License.","title":"Copyright and License - Lume UI","ref":"readme.html#copyright-and-license"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.35.1"}}